For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • Get started
    • Overview
    • Quickstart
  • Configure
    • Overview
    • Voice & language
    • Knowledge base
    • Tools
    • Personalization
    • Authentication
  • Deploy
    • Overview
    • Environment variables
    • WhatsApp
    • Batch calls
  • Monitor
    • Overview
    • Users
    • Testing
    • Experiments
    • Versioning
    • Conversation Analysis
    • Analytics
    • Real-time monitoring
    • OpenTelemetry traces
    • Privacy
    • Cost optimization
    • CLI
  • Advanced
    • Events
    • Custom models
    • LLM cascading
    • Post-call webhooks
  • Resources
    • UI components
  • Guides
    • Chat Mode
    • Burst pricing
    • ElevenLabs' docs agent
    • Scaling user interviews
    • Simulate Conversations
        • WSSAgent WebSockets
          • GETList tools
          • GETGet tool
          • POSTCreate tool
          • PATCHUpdate tool
          • DELDelete tool
          • GETGet dependent agents
          • GETGet tool executions
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
API referenceTools

List tools

GET
/v1/convai/tools
GET
/v1/convai/tools
$curl https://api.elevenlabs.io/v1/convai/tools
1{
2 "tools": [
3 {
4 "id": "string",
5 "tool_config": {
6 "type": "system",
7 "name": "end_call",
8 "params": {
9 "system_tool_type": "end_call"
10 },
11 "description": ""
12 },
13 "access_info": {
14 "is_creator": true,
15 "creator_name": "John Doe",
16 "creator_email": "john.doe@example.com",
17 "role": "admin",
18 "access_source": "creator"
19 },
20 "usage_stats": {
21 "avg_latency_secs": 1.1,
22 "total_calls": 0
23 },
24 "response_mocks": [
25 {
26 "mock_result": "string",
27 "parameter_conditions": [
28 {
29 "eval": {
30 "type": "string",
31 "description": "string"
32 },
33 "path": "string"
34 }
35 ]
36 }
37 ]
38 }
39 ],
40 "has_more": true,
41 "next_cursor": "string"
42}
Get all available tools in the workspace.
Was this page helpful?
Previous

Get tool

Next
Built with

Headers

xi-api-keystringOptional

Query parameters

searchstring or nullOptional
If specified, the endpoint returns only tools whose names start with this string.
page_sizeinteger or nullOptional1-100
How many documents to return at maximum. Can not exceed 100, defaults to 30.
show_only_owned_documentsbooleanOptionalDefaults to falseDeprecated

If set to true, the endpoint will return only tools owned by you (and not shared from somebody else). Deprecated: use created_by_user_id instead.

created_by_user_idstring or nullOptional

Filter tools by creator user ID. When set, only tools created by this user are returned. Takes precedence over show_only_owned_documents. Use ‘@me’ to refer to the authenticated user.

typeslist of enums or nullOptional
If present, the endpoint will return only tools of the given types.
Allowed values:
sort_directionenumOptional
The direction to sort the results
Allowed values:
sort_byenum or nullOptional
The field to sort the results by
Allowed values:
cursorstring or nullOptional
Used for fetching next page. Cursor is returned in the response.

Response

Successful Response
toolslist of objects
has_moreboolean
next_cursorstring or null

Errors

422
Unprocessable Entity Error